---
updatedAt: 2026-09-29T10:37:30.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Get transaction notes

# Overview

Use this method to retrieve all the [notes added](https://docs.sumsub.com/sumsub/reference/add-txn-notes) to the specific transaction.

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the **View TM transactions** [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions).

## Request example

```curl
curl -X GET \
     'https://api.sumsub.com/resources/kyt/txns/66c46d7566f5244e45a00000/notes' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'
```

# Response explained

The response is a JSON file representing the list of notes added to the specified transaction.

The following tables explain the element fields of the response body.

| Field        | Type                                      | Description                                                    |
| :----------- | :---------------------------------------- | :------------------------------------------------------------- |
| `items`      | [Array of objects](#items-element-fields) | Each item is an object representing the note with its details. |
| `totalItems` | Integer                                   | Total number of the notes found.                               |

## `items` element fields

The following table explains the `items` element fields representing the note details.

| Field       | Type   | Description                                                                                                                      |
| :---------- | :----- | :------------------------------------------------------------------------------------------------------------------------------- |
| `id`        | String | Note identifier. You may need it in case you want to [edit the note](https://docs.sumsub.com/sumsub/reference/edit-txn-notes)  or [remove it](https://docs.sumsub.com/sumsub/reference/remove-txn-notes) . |
| `txnId`     | String | Unique transaction identifier in the Sumsub system.                                                                              |
| `note`      | String | Text of the note that was added to the transaction.                                                                              |
| `createdAt` | Date   | Date and time when the note was added.                                                                                           |
| `createdBy` | String | Identifier of the note author.                                                                                                   |

## Response examples

If the request is sent and processed successfully, you will receive a response like the following:

```json
{
  "list": {
    "items": [
      {
        "id": "66ceed13d427a60000000000",
        "txnId": "66c46d7566f5240000000000",
        "note": "This is a test note",
        "createdAt": "2024-08-28 09:25:39+0000",
        "createdBy": "service-prd-JYHGDETVKPUYTFD-app-name lastname"
      },
      {
        "id": "66cf0fcec9ba850000000000",
        "txnId": "66c46d7566f5240000000000",
        "note": "Another test note",
        "createdAt": "2024-08-28 11:53:50+0000",
        "createdBy": "service-prd-XXXGDETVKPUYYYY-app-name lastname"
      }
    ],
    "totalItems": 2
  }
}
```

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

```json
{
  "description": "Invalid id '66c46d71231566f5244e45a81167'",
  "code": 400,
  "correlationId": "955bce80ffb06f470d4bd7665f02f2df"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/kyt/txns/{id}/notes": {
      "get": {
        "summary": "Get transaction notes",
        "description": "",
        "operationId": "get-txn-notes",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Unique transaction identifier in the Sumsub system. <br><br>This ID is returned in the [response](https://docs.sumsub.com/reference/get-transaction#root-variables) to this request and a webhook (`kytTxnId`). Save it for future use in subsequent API calls. Alternatively, you can get this identifier by the [following method](https://docs.sumsub.com/sumsub/reference/get-transaction-information-by-txnid).",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```